"""empty message

Revision ID: 693ae53d1dad
Revises: 5a377e7641ff
Create Date: 2024-09-04 11:01:34.605122

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '693ae53d1dad'
down_revision = '5a377e7641ff'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint('fk_ai_grading_grading_prompter_id_ai_grading_prompter', 'ai_grading', type_='foreignkey')
    op.drop_column('ai_grading', 'grading_prompter_id')
    op.drop_table('ai_grading_prompter')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('ai_grading_prompter',
    sa.Column('id', sa.INTEGER(), autoincrement=True, nullable=False),
    sa.Column('time', postgresql.TIMESTAMP(), autoincrement=False, nullable=False),
    sa.Column('python_code', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('user_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['user_id'], ['user.id'], name='fk_ai_grading_prompter_user_id_user'),
    sa.PrimaryKeyConstraint('id', name='pk_ai_grading_prompter')
    )
    op.add_column('ai_grading', sa.Column('grading_prompter_id', sa.INTEGER(), autoincrement=False, nullable=True))
    op.create_foreign_key('fk_ai_grading_grading_prompter_id_ai_grading_prompter', 'ai_grading', 'ai_grading_prompter', ['grading_prompter_id'], ['id'])
    # ### end Alembic commands ###
